﻿@model ClaimsUsuarioViewModel

@{
    ViewData["Title"] = "Administración de claims";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<form method="POST">
    <input type="hidden" asp-for="@Model.IdUsuario" />
    <div class="card">
        <div class="card-header">
            <h3>Asignar permisos (claims) al usuario</h3>
        </div>

        <div class="card-body">
            @for (int i = 0; i < Model.Claims.Count(); i++)
            {
                <div class="m-3 form-check">
                    <input type="hidden" asp-for="@Model.Claims[i].TipoClaim" />
                    <input asp-for="@Model.Claims[i].Seleccionado" class="form-check-input" />
                    <label class="form-check-label" asp-for="@Model.Claims[i].Seleccionado">
                        @Model.Claims[i].TipoClaim
                    </label>
                </div>
            }
            <div class="text-danger" asp-validation-summary="All"></div>
        </div>

        <div class="card-footer">
            <button type="submit" class="btn btn-success w-50">Asignar permisos</button>
        </div>
    </div>
</form>